### Method

# Camel ObjectBag list

#### Declaration [src]

    GPtrArray*
    camel_object_bag_list (
      CamelObjectBag* bag
    )

#### Description [src]

Returns a `GPtrArray` of all the objects in the bag. The caller owns both the array and the object references, so to free the array use:

        g_ptr_array_foreach (array, (GFunc) g_object_unref, NULL);
        g_ptr_array_free (array, TRUE);

#### Return value

Type: An array of `GObject*`

An array of objects in `bag`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.